NVME-NVM-ID-NS(1)

NAME
nvme-nvm-id-ns - Send NVMe Identify NVM Command Set specific Namespace data structure, display structure

SYNOPSIS

nvme nvm-id-ns <device> [--uuid-index=<uuid-index> | -U <uuid_index>]
                        [--namespace-id=<NUM> | -n <NUM>]
                        [-v | --verbose]
                        [--output-format=<fmt> | -o <fmt>]

DESCRIPTION

Identify NVM Command Set specific Namespace data structure for the specified NSID for the NVM Command Set specified in the CSI field.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

On success, the structure may be returned in one of several ways depending on the option flags; the structure may be parsed by the program or the raw buffer may be printed to stdout.

OPTIONS

-n <NUM>, --namespace-id=<NUM>
    Use the provided namespace id for the command. If not provided, the namespace id of the block device will be used. If the command is issued to a non-block device, the parameter is required.

-U <uuid-index>, --uuid-index=<uuid-index>
    UUID Index of the feature

-v, --verbose
    Increase the information detail in the output.

-o <format>, --output-format=<format>
    Set the reporting format to normal, json, or binary. Only one output format can be used at a time.

EXAMPLES

    • Has the program interpret the returned buffer and display the known fields in a human readable format:

        # nvme nvm-id-ns /dev/nvme0n1

    • If using the character device or overriding namespace id:

        # nvme nvm-id-ns /dev/nvme0 -n 1
        # nvme nvm-id-ns /dev/nvme0n1 -n 1
        # nvme nvm-id-ns /dev/nvme0 --namespace-id=1

    • Have the program return the raw structure in binary:

        # nvme nvm-id-ns /dev/nvme0n1 -o binary > id_ns.raw
        # nvme nvm-id-ns /dev/nvme0n1 --output-format=binary > id_ns.raw

    It is probably a bad idea to not redirect stdout when using this mode.

    • Alternatively you may want to send the data to another program that can parse the raw buffer.

        NVME

Part of the nvme-user suite